# typedef FileStat

#### package sys

Available on Neko

File information, as given by `sys.FileSystem.stat`.

### Properties

###

`atime:Date`

The last access time for the file (when enabled by the file system).

###

`ctime:Date`

The creation time for the file (not all file systems support this).

###

`dev:Int`

The device on which stat resides.

###

`gid:Int`

The user group id for the file's owner.

###

`ino:Int`

The inode number for stat.

###

`mode:Int`

The permission bits of stat. The meaning of the bits is platform dependent.

###

`mtime:Date`

The last modification time for the file.

###

`nlink:Int`

The number of hard links to stat.

###

`rdev:Int`

The device type on which stat resides (special files only).

###

`size:Int`

The size of the file, in bytes.

###

`uid:Int`

The user id for the file's owner.